<?php

namespace Drupal\opencase_cases\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Actor-Case Relation type entity.
 *
 * @ConfigEntityType(
 *   id = "oc_actor_case_relation_type",
 *   label = @Translation("Actor-Case Relation type"),
 *   handlers = {
 *     "view_builder" = "Drupal\Core\Entity\EntityViewBuilder",
 *     "list_builder" = "Drupal\opencase_cases\OCActorCaseRelationTypeListBuilder",
 *     "form" = {
 *       "add" = "Drupal\opencase_cases\Form\OCActorCaseRelationTypeForm",
 *       "edit" = "Drupal\opencase_cases\Form\OCActorCaseRelationTypeForm",
 *       "delete" = "Drupal\opencase_cases\Form\OCActorCaseRelationTypeDeleteForm"
 *     },
 *     "route_provider" = {
 *       "html" = "Drupal\opencase_cases\OCActorCaseRelationTypeHtmlRouteProvider",
 *     },
 *   },
 *   config_prefix = "oc_actor_case_relation_type",
 *   admin_permission = "administer site configuration",
 *   bundle_of = "oc_actor_case_relation",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "canonical" = "/admin/structure/oc_actor_case_relation_type/{oc_actor_case_relation_type}",
 *     "add-form" = "/admin/structure/oc_actor_case_relation_type/add",
 *     "edit-form" = "/admin/structure/oc_actor_case_relation_type/{oc_actor_case_relation_type}/edit",
 *     "delete-form" = "/admin/structure/oc_actor_case_relation_type/{oc_actor_case_relation_type}/delete",
 *     "collection" = "/admin/structure/oc_actor_case_relation_type"
 *   }
 * )
 */
class OCActorCaseRelationType extends ConfigEntityBundleBase implements OCActorCaseRelationTypeInterface {

  /**
   * The Actor-Case Relation type ID.
   *
   * @var string
   */
  protected $id;

  /**
   * The Actor-Case Relation type label.
   *
   * @var string
   */
  protected $label;

}
