<?php

namespace Drupal\opencase_cases;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityListBuilder;
use Drupal\Core\Link;

/**
 * Defines a class to build a listing of Actor-Case Relation entities.
 *
 * @ingroup opencase_cases
 */
class OCActorCaseRelationListBuilder extends EntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['id'] = $this->t('Actor-Case Relation ID');
    $header['name'] = $this->t('Name');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /* @var \Drupal\opencase_cases\Entity\OCActorCaseRelation $entity */
    $row['id'] = $entity->id();
    $row['name'] = Link::createFromRoute(
      $entity->label(),
      'entity.oc_actor_case_relation.edit_form',
      ['oc_actor_case_relation' => $entity->id()]
    );
    return $row + parent::buildRow($entity);
  }

}
